/* 
Transparent Panel
Copyright fthx 2020
Fork of https://extensions.gnome.org/extension/1266/transparent-top-bar/
License: GPL v3
*/

const Main = imports.ui.main;

function init() {
}

function enable() {
    // Add transparency
    Main.panel.add_style_class_name('panel-transparency');
    Main.panel._leftCorner.add_style_class_name('corner-transparency');
    Main.panel._rightCorner.add_style_class_name('corner-transparency');
}

function disable() {
    // Restore opacity
    Main.panel.remove_style_class_name('panel-transparency');
    Main.panel._leftCorner.remove_style_class_name('corner-transparency');
    Main.panel._rightCorner.remove_style_class_name('corner-transparency');
}
